/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
(function() {

dojo.provide("com.ibm.rational.report.web.core.app.view.report.ExportReportDialog");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
dojo.require("dojox.data.dom");
dojo.require("com.ibm.rational.report.web.core.app.internal.common.CommonDialog");
dojo.requireLocalization("com.ibm.rational.report.web.core.app.internal.common", "Messages");
dojo.requireLocalization("com.ibm.rational.report.web.core.app.view.report", "Messages");

var CommonMessages	= dojo.i18n.getLocalization("com.ibm.rational.report.web.core.app.internal.common", "Messages");
var ReportMessages	= dojo.i18n.getLocalization("com.ibm.rational.report.web.core.app.view.report", "Messages");

/**
 * Displays the Export Report dialog.
 */
dojo.declare(
	"com.ibm.rational.report.web.core.app.view.report.ExportReportDialog",
	[dijit._Widget, dijit._Templated], {
	
	templatePath: dojo.moduleUrl("com.ibm.rational.report.web.core", "app/view/report/templates/ExportReportDialog.html"),
	
	constructor: function(args) {
		this._title = args.title;
	},
	
	postCreate: function() {
		this._initText();

		this.dialog = new com.ibm.rational.report.web.core.app.internal.common.CommonDialog({
			contentNode: this.contentNode,
			primaryTitle: this._title,
			width: (dojo.isIE) ? "245px" : "227px",
			isClosable: true
		});
		this.closeButton.focus();
	},
	
	_initText: function() {
		dojox.data.dom.removeChildren(this.formatLabel);
		this.formatLabel.appendChild(document.createTextNode(ReportMessages.EXPORT_REPORT_VIEWER_FORMAT_LABEL));
		
		dojox.data.dom.removeChildren(this.formatCombo);
		this.formatCombo.options.add(new Option(ReportMessages.EXPORT_REPORT_VIEWER_PDF_LABEL, "PDF")); 
		this.formatCombo.options.add(new Option(ReportMessages.EXPORT_REPORT_VIEWER_WORD_LABEL, "WORD"));
		
		dojox.data.dom.removeChildren(this.exportButton);
		this.exportButton.appendChild(document.createTextNode(ReportMessages.EXPORT_REPORT_VIEWER_EXPORT_BUTTON_LABEL));

		dojox.data.dom.removeChildren(this.closeButton);
		this.closeButton.appendChild(document.createTextNode(CommonMessages.CLOSE_BUTTON_LABEL));
	},
	
	close: function() {
		this.dialog.close();
	}
	
});

})();